ESXi 7.0 U2 and later (VM version 19) EFl Boot Failure
Assignee: Shimon Shtein
Target version:
Bugzilla link: 2220957 Red Hat JIRA:

Pull request:

Description

When the VM vmx-19 is set to network boot automatically it fails.
When the VM vmx-19 is set to prompt and Normal/network boot is chosen it is successful.

Default PXE scripts are in use. Grub fails on the chainload option only when automatically booting. When the Setup menu is forced it
tries again to boot and succeeds.

History

#1 - 10/20/2021 05:17 PM - Doug Forster

How do | remove the fixed in release option as this hasn't been fixed.

#2 - 10/20/2021 05:24 PM - Doug Forster

If | change vmx-19 to vmx-15 the server boots and works without interaction.

The hammer command used to create said VM is:

hammer -v\

host create \

--architecture x86_64 \

--compute-attributes cpus=4,memory_mb=8192,cluster="VM
Cluster',path=/Datacenters/VM/vm,start=1,firmware=efi,guest_id=otherGuest64,hardware_version=vmx-19,guest_id=rhel8_64Guest,scsi_controller_t
ype=ParaVirtualSCSIController \

--compute-resource "vCenter" \

--domain example.net \

--puppet-environment production \

--hostgroup-title linux \

--name server.example.net \

--interface ip=10.0.0.20,subnet_id=106,compute_network=NET_10.0.0.0,compute_type=VirtualVmxnet3 \
--location "Default" \

--medium "RHEL 8.4 Install Media" \

--operatingsystem "RHEL Server 8.4"\

--organization Example \

--puppet-ca-proxy puppet.example.net \

--puppet-proxy puppet.example.net \

--volume "size_gb=200,datastore=PROD,thin=true,eager_zero=false" \
--partition-table="Kickstart default" \

--pxe-loader "Grub2 UEFI"

#3 - 11/30/2021 02:47 PM - Doug Forster

| have confirmed with RedHat that there is a bug effecting network efi booting on 7.0 versions of the VM/vmx-19. Perhaps the best option at this point
is to block someone from using it for network based provisioning until it has been fixed.

#4 - 12/07/2021 04:05 PM - Doug Forster

| have found a workaround from VMware Support.

Set "efi.quickBoot.enabled = FALSE" as an advanced property on the VM allows the vm to boot normally.

#5 - 09/07/2022 02:19 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases deleted (2.4.2)

Doug Forster wrote:

How do | remove the fixed in release option as this hasn't been fixed.

Using ctrl+click allows you to deselect a value.

#6 - 07/07/2023 09:56 AM - Nagoor Shaik
- Bugzilla link set to 2220957

#7 - 04/07/2024 01:14 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/10118 added

#8 - 04/18/2024 07:34 AM - The Foreman Bot
- Pull request deleted (https://github.com/theforeman/foreman/pull/10118)
